KILLALL(1)

NAZWA
killall - kończy procesy o danej nazwie

SKŁADNIA
killall [-Z,--context wzorzec] [-e,--exact] [-g,--process-group] [-i,--interactive] [-o,--older-than CZAS] [-q,--quiet] [-r,--regexp] [-s,--signal SYGNAŁ, -SYGNAŁ] [-u,--user użytkownik] [-v,--verbose] [-w,--wait] [-y,--younger-than CZAS] [-I,--ignore-case] [-V,--version] [--] nazwa ...
killall -l
killall -V, --version

OPIS
killall wysyła sygnał do wszystkich procesów wymienionych w linii poleceń. Jeżeli nie podano nazwy sygnału, wysyłany jest sygnał SIGTERM.

Sygnały mogą być określane za pomocą nazwy (np. -HUP lub -SIGHUP), numeru (np. -1) albo opcji -s.

Jeżeli nazwa polecenia nie jest wyrażeniem regularnym (opcja -r i zawiera ukośnik (/), sygnał wysyłany będzie do procesów wykonujących to polecenie, niezależnie od ich nazwy.

killall zwraca zerowy kod wyjścia, jeżeli dla każdego podanego polecenia przynajmniej jeden proces został zabity (zakończony) lub nie wypisano poleceń i przynajmniej jeden proces został dopasowany do kryteriów wyszukiwania -u i -Z. W przeciwnym razie killall zwraca niezerowy kod wyjścia.

Proces killall nigdy nie zabija samego siebie (chociaż może zabić inne procesy killall).

OPCJE

-e, --exact
    Wymusza dokładne dopasowanie bardzo długich nazw. Jeżeli nazwa polecenia jest dłuższa niż 15 znaków, jej pełna postać może być niedostępna. W tym przypadku killall zabije wszystkie procesy, których nazwa polecenia zgadza się z podaną w pierwszych 15 znakach. Po podaniu opcji -e takie procesy są pomijane. Program informuje o każdym takim przypadku, jeżeli dodatkowo podano opcję -v.

-I, --ignore-case
    Dopasowuje nazwy procesów, ignorując różnice w wielkości liter.

-g, --process-group
    Zabija grupę procesów, do której należy podany proces. Sygnał jest wysyłany tylko raz do danej grupy, nawet wtedy gdy w linii poleceń podano kilka procesów należących do tej samej grupy procesów.

-i, --interactive
    Pyta o zgodę przed zabiciem każdego procesu.

-l, --list
    Wypisuje wszystkie znane nazwy sygnałów.

-o, --older-than
    Dopasowuje wyłącznie procesy, które są starsze od (zostały uruchomione przed) podanego czasu. Czas jest określony jako liczba zmiennoprzecinkowa wraz z jednostką. Jednostkami są s (sekundy), m (minuty), h (godziny), d (dni), w (tygodnie), M (miesiące) i y (lata).

-q, --quiet
    Nie wypisuje odnośnego komunikatu, gdy nie zabito żadnego procesu.

-r, --regexp
    Interpretuje wzorzec nazwy procesu jako rozszerzone wyrażenie regularne POSIX, zgodnie z regex(3).

-s, --signal, -SYGNAŁ
    Wysyła podany sygnał zamiast SIGTERM.

-u, --user
    Zabija wyłącznie procesy, których właścicielem jest podany użytkownik. Nazwy poleceń są opcjonalne.

-v, --verbose
    Wypisuje komunikat o każdym udanym wysłaniu sygnału.

-V, --version
    Wypisuje informację o wersji programu.

-w, --wait
    Czeka, aż wszystkie zabite procesy zakończą działanie. killall sprawdza co sekundę, czy któryś z zabitych procesów jeszcze istnieje i kończy działanie dopiero, gdy wszystkie skończą pracę. Proszę zauważyć, że killall może czekać bez końca, gdy sygnał został zignorowany, nie zadziałał lub proces przeszedł do stanu zombie.

-y, --younger-than
    Dopasowuje wyłącznie procesy, które są młodsze niż (zostały uruchomione po) podany czas. Czas jest określony jako liczba zmiennoprzecinkowa wraz z jednostką. Jednostkami są s (sekundy), m (minuty), h (godziny), d (dni), w (tygodnie), M (miesiące) i y (lata).

-Z, --context
    (wyłącznie SELinux) Określa kontekst bezpieczeństwa: zabija tylko procesy posiadające kontekst bezpieczeństwa pasujący do podanego wzorca rozszerzonego wyrażenia regularnego. Musi poprzedzać pozostałe argumenty w wierszu polecenia. Nazwy poleceń są opcjonalne.

PLIKI

/proc
    lokalizacja systemu plików proc

ZNANE PROBLEMY
Zabijanie procesów na podstawie nazwy pliku działa tylko wtedy, gdy plik wykonywalny jest podczas wykonywania w stanie otwartym.

Wydanie polecenia killall nazwa może nie działać zgodnie z oczekiwaniami na systemach nielinuksowych, zwłaszcza gdy zostanie wydane przez uprzywilejowanego użytkownika.

killall -w nie wykrywa sytuacji, w której proces znika i zostaje zastąpiony przez inny z tym samym numerem PID.

Jeśli proces zmieni swą nazwę, killall może nie być w stanie prawidłowo jej dopasować.

killall posiada limit nazw, które można mu podać w wierszu polecenia. Jest to rozmiar liczby typu unsigned long, pomnożony przez 8. W przypadku większości systemów 32-bitowych jest to 32 i podobnie, w przypadku systemów 64-bitowych jest to zwykle 64.

ZOBACZ TAKŻE
kill(1), fuser(1), pgrep(1), pidof(1), pkill(1), ps(1), kill(2), regex(3).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Łukasz Kowalczyk (PTM) <lukow@tempac.okwf.fuw.edu.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 22.21 oryginału.